Subject: [bug#36602] [PATCH] Add node-build-system.

From: [email-masked]
Date: Sat, 13 Jul 2019 15:32:55 +0000

Hello!

I'm the author of: https://issues.guix.gnu.org/issue/36599 . It should 
be really easy to rewrite the package using this new build system.

I submitted the patch before asking in #guix if someone was already 
working on node's ecosystem, but when I did Julien pointed me to his 
development branch which contains a definition for node-semver using the 
new node-build system: 
https://framagit.org/tyreunom/guix/commit/5c4708bfae0955999bca1edfd459aeb39980ab0e 
.

If this is merged I can refactor my patch (which contains node-semver 
6.2.0), based on Julien's package definition (which contains version 
5.6.0), in no time!

Very cool work by the way,

Giacomo